import {http} from '../http'
import {FD , JSONDATA , UPLOAD} from '../index'

export async function initMonitor (params1,params2,params3){
    return http([JSONDATA('/infrastructure/server/app/monitor/platform/v2/appPage','get',params1,true),
    JSONDATA('/infrastructure/server/app/monitor/platform/v1/list','get',params2,true),
    JSONDATA('/config/server/rpc/dict/dictList','get',params3,true),
    // JSONDATA('/auth/server/app/org/orgSelect','get',params4,true),
    JSONDATA('/auth/server/app/org/orgSelectV2', 'get', {}, true)],true)
}
export async function monitorList (params){
    return http([JSONDATA('/infrastructure/server/app/monitor/platform/v2/appPage','get',params,true)],true)
}
export async function getAllMsg (params){
    return http([JSONDATA('/infrastructure/server/app/monitor/platform/v2/getAllMsg','get',params,true)],true)
}
export async function track (params){
    return http([JSONDATA('/infrastructure/server/app/monitor/platform/v1/terminal/track','get',params,true)],true)
}
export async function gettrack (params){
    return http([JSONDATA('/remote/server/app/gettrack','get',params,true)],true)
}