import { http } from '../http'
import { FD, JSONDATA, UPLOAD } from '../index'
export async function InitTerminal(params1, params2, params3, params4, params5, params6, params7, params8) {
    return http(
        [JSONDATA('/infrastructure/server/app/terminal/v1/list', 'get', params1, true),
        JSONDATA('/config/server/rpc/dict/dictList', 'get', params2, true),
        JSONDATA('/config/server/rpc/dict/dictList', 'get', params3, true),
        // JSONDATA('/auth/server/app/org/orgSelect','get',params4,true),
        JSONDATA('/config/server/rpc/dict/dictList', 'get', params4, true),
        JSONDATA('/config/server/rpc/area/list', 'get', params5, true),
        JSONDATA('/config/server/rpc/area/list', 'get', params6, true),
        JSONDATA('/config/server/rpc/area/list', 'get', params7, true),
        JSONDATA('/auth/server/app/org/orgSelectV2', 'get', params8, true),
        ],
        true)
}
export async function TerminalList(params) {
    return http([JSONDATA('/infrastructure/server/app/terminal/v1/list', 'get', params, true)], true, true)
}
export async function actualTime(params) {
    return http([JSONDATA('/infrastructure/server/app/terminal/v1/actualTime', 'get', params, true)], true)
}
export async function history(params) {
    return http([JSONDATA('/infrastructure/server/app/terminal/v1/history', 'get', params, true)], true)
}
export async function reportAttachment(params, params1) {
    return http([JSONDATA('/infrastructure/server/app/inspection/report/v1/attachment', 'get', params, true), JSONDATA('/infrastructure/server/app/inspection/report/v1/terminal/maintain', 'get', params1, true)], true)
}
export async function reportWrite(params) {
    return http([JSONDATA('/infrastructure/server/app/inspection/report/v1/write', 'post', params, true)], true)
}
export async function analysis(params, params1) {
    return http([JSONDATA('/infrastructure/server/app/terminal/statistical/analysis', 'get', params, true),
    JSONDATA('/infrastructure/server/app/terminal/v1/level/trend', 'get', params1, true)
    ], true)
}
// 字典 INSPECTION_RESULTS
export async function instpectDictNotice(params1) {
    return http([JSONDATA('/config/server/rpc/dict/dictList', 'get', params1, true)], true)
}
// GET/rpc/area/list 列表数据
// export async function getarealist(params,params2,params3) {
//     return http(
//         [

//     ], false)
// }

//PUT /backstage/user/homeShow 设置全局油罐容积
export async function homeShowChange(params) {
    return http([JSONDATA('/auth/server/app/user/homeShow', 'PUT', params, true)], true)
}
// GET /backstage/user/userUnit 油罐容积
export async function userUnit(params) {
    return http([JSONDATA('/auth/server/app/user/userUnit', 'GET', params, true)], true)
}
// 昨日用量 详情
export async function dosageDetail(params) {
    return http([JSONDATA('/infrastructure/server/app/terminal/day/data', 'get', params, true)], true)
}
