export const reg = {
    password:/^[\w-~\!@#$%^&()|=+*./]{6,16}$/,//密码
    imageCode:/^[0-9a-zA-Z]{4}/,//图形验证码
    smsCode:/^[1-9]{1}[0-9]{5}$/,//短信验证码
    phone:/^1[0-9]{10}$/,//手机号
    verifyKey:/^[0-9a-zA-Z]{32}$/,//验签key
    realName:/^[\u4e00-\u9fa5]{0,}$/,//真实姓名
    email:/^[A-Za-z\d]+([-_.][A-Za-z\d]+)*@([A-Za-z\d]+[-.])+[A-Za-z\d]{2,4}$/,//邮箱
    companyNum:/[1-9A-GY]{1}[1239]{1}[1-5]{1}[0-9]{5}[0-9A-Z]{10}/,//统一社会信用代码
    contact:/^[\u4e00-\u9fa5]{0,}$/,//联系人
    account:/^[\w]{6,20}$/,//账号
    number:/^[1-9]\d*$/,//正整数
}