module.exports = {
	publicPath: process.env.NODE_ENV === 'production' ? '': '/',//打包环境
	chainWebpack: (config) => {
		config.resolve.symlinks(true) // 修复热更新失效
	},
	devServer: {
		// host: '192.168.2.20',
		// host: '192.168.2.98',
		hot: true, 
		// open: true,
		port: 8080,
		overlay: { //eslint错误输出
			// warnings: true,
			// errors: true
		} 
	},
	runtimeCompiler:true,
	lintOnSave: false, //开启eslint
	configureWebpack: {
        externals: {
            "BMap": "BMap"
        }
    },//引入百度地图
	// css: { 
	// 	loaderOptions: {
	// 		less: {
	// 			javascriptEnabled: true,
	// 			data: `@import "@/assets/css/common.less";`
	// 		}
	// 	}
	// },
}
